> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Group

> [!NOTE]
>
> The End User Group API is now deprecated and has been replaced by the Customer
> API. Each End User Group entity corresponds to a Customer entity, with its
> `user_group_id` corresponding to a Customer `customer_id`.
>
> This API method has been replaced by [Update Customer](https://docs.explo.co/api-reference/customer-api/update.md).

This endpoint updates an existing user group.

### Body

**name** `string`

This is the name of the user group.

**user\_group\_id** `string`

This is the ID you use to identify this user group in your database.

**mapping** `object`

This is a JSON mapping of schema id to either the data source that this user
group should be associated with or id of the datasource you provided when
creating it.

**is\_demo\_group** `boolean`

Set this boolean parameter to true to make data panels include a demo
watermark for the user group. Demo user groups do not count towards paid user
groups. Default value is false.

**properties** `object`

This is a JSON object for properties assigned to this user group. These will
be accessible through variables in the dashboards and SQL editor

### Response

**success** `number`

Indicates whether the call was successful. 1 if successful, 0 if not.

**user\_group** `object`

The contents of the user group

**Toggle object**

**team\_id** `number`

Indicates whether a new user group was created.

**token** `string`

This is the user group token (customerToken or CUSTOMER\_TOKEN) that will be
used to identify which user group is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.

**name** `string`

This is the name of the user group provided in the request body.

**provided\_id** `string`

This is the user\_group\_id provided in the request body.

**is\_demo\_group** `boolean`

If set to true, data panels displayed for the user group will include a demo
watermark.

**properties** `JSON | Null`

This is the properties object if it was provided in the request body

**api\_environment\_tag** `JSON or null`

This is the environment tag of the user group. Possible values are 'Customer'
and 'Testing'

```bash Example Request theme={null}
curl --location --request POST 'https://api.explo.co/api/update_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
    "user_group_id": "example_1",
    "name": "Example 1",
    "mapping": {"40": "213", "134": "386"},
    "properties": {"filterValue": "value"}
}'
```

```json Response theme={null}
{
  "success": 1,
  "user_group": {
    "team_id": 113,
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1",
    "is_demo_group": false
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.